přejít na obsah přejít na navigaci

Linux E X P R E S, Oprava chyby v PHP není účinná

POINT.X (2018-19)

Oprava chyby v PHP není účinná

Oprava vážné bezpečnostní chyby v PHP účinnou opravou není, chyba přetrvává dál.


reklama

Ve středu byly omylem zveřejněny podrobnosti o závažné bezpečnostní chybě v PHP, která v technologii existuje již od roku 2004 a umožňuje si na serveru vzdáleně spustit vlastní kód. Vývojáři zareagovali vydání opravy (verze 5.3.12 a 5.4.2), jenže se bohužel ukázalo, že chyba ve skutečnosti opravila nebyla (resp. byla opravena způsobem, který lze snadno obejít) a její zneužití tedy i nadále hrozí.

Chyba spočívá v tom, že pokud PHP běží prostřednictvím CGI, lze vhodně zvolenou dotazovou částí URL interpretu vnutit takové parametry příkazové řádky, které zajistí vypsání zdrojového kódu skriptu nebo spuštění vlastního kódu. Chybou jsou tedy ohroženy jen ty servery, kde se PHP používá přes CGI; populárního řešení založeného na modulu do Apache (mod_php) se problém netýká.

Nahoru

Přidat téma diskuse

Nejsou podporovány žádné značky, komentáře jsou jen čistě textové. Více o diskuzích a pravidlech najdete v nápovědě.
Diskuzi můžete sledovat pomocí RSS kanálu rss



 
 

Top články z OpenOffice.cz

Lukáš Jelínek

Lukáš Jelínek

Dlouholetý člen autorského týmu LinuxEXPRESu a OpenOffice.cz. Vystudoval FEL ČVUT v oboru Výpočetní technika. Žije v Kutné Hoře a podniká v oblasti informačních technologií. Ve volném čase rád fotografuje, natáčí a stříhá video, občas se věnuje powerkitingu a na prahu čtyřicítky začal hrát tenis.


  • Distribuce: Debian, Linux Mint
  • Grafické prostředí: KDE

| proč linux | blog


Tiskárna Brno